Main Page Packages Class Hierarchy Compound List File List Compound Members

# elementremoveattributenodenomodificationallowederr Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| elementremoveattributenodenomodificationallowederr (DOMTestDocumentBuilderFactory factory) throws DOMTestIncompatibleException
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "removeAttributeNode(oldAttr)" method for an attribute causes the DOMException NO_MODIFICATION_ALLOWED_ERR to be raised if the node is readonly.

Obtain the children of the THIRD "gender" element. The elements content is an entity reference. Try to remove the "domestic" attribute from the entity reference by executing the "removeAttributeNode(oldAttr)" method. This causes a NO_MODIFICATION_ALLOWED_ERR DOMException to be thrown.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-258A00AF')/constant[@name='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-D589198 , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#xpointer(id('ID-D589198')/raises/exception[@name='DOMException']/descr/p[substring-before(.,':')='NO_MODIFICATION_ALLOWED_ERR']) , http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-D589198

Definition at line 49 of file elementremoveattributenodenomodificationallowederr.java.

## Constructor & Destructor Documentation

elementremoveattributenodenomodificationallowederr::elementremoveattributenodenomodificationallowederr | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 51 of file elementremoveattributenodenomodificationallowederr.java. References DocumentBuilderSetting::notExpandEntityReferences, and DOMTest::setFactory().
    00052                                      {
    00053
    00054       DocumentBuilderSetting[] settings = new DocumentBuilderSetting[] {
    00055 DocumentBuilderSetting.notExpandEntityReferences
    00056         };
    00057         DOMTestDocumentBuilderFactory testFactory = factory.newInstance(settings);
    00058         setFactory(testFactory);
    00059
    00060    }

## Member Function Documentation

String elementremoveattributenodenomodificationallowederr::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 96 of file elementremoveattributenodenomodificationallowederr.java.
    00096                                 {
    00097       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/elementremoveattributenodenomodificationallowederr";
    00098    }

void elementremoveattributenodenomodificationallowederr::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 99 of file elementremoveattributenodenomodificationallowederr.java. References DOMTestCase::doMain().
    00099                                           {
    00100         DOMTestCase.doMain(elementremoveattributenodenomodificationallowederr.class,args);
    00101    }

void elementremoveattributenodenomodificationallowederr::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 62 of file elementremoveattributenodenomodificationallowederr.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00062                                                     {
    00063       Document doc;
    00064       NodeList genderList;
    00065       Node gender;
    00066       NodeList genList;
    00067       Node gen;
    00068       NodeList gList;
    00069       Element genElement;
    00070       NamedNodeMap attrList;
    00071       Attr attrNode;
    00072       Attr removedAttr;
    00073       doc = load("staff");
    00074       genderList = doc.getElementsByTagName("gender");
    00075       gender = genderList.item(2);
    00076       genList = gender.getChildNodes();
    00077       gen = genList.item(0);
    00078       gList = gen.getChildNodes();
    00079       genElement = (Element)gList.item(0);
    00080       attrList = genElement.getAttributes();
    00081       attrNode = (Attr)attrList.getNamedItem("domestic");
    00082
    00083         {
    00084                 boolean success = false;
    00085                 try {
    00086                         removedAttr = genElement.removeAttributeNode(attrNode);
    00087
    00088                 }
    00089                 catch(DOMException ex) {
    00090                         success = (ex.code == DOMException.NO_MODIFICATION_ALLOWED_ERR);
    00091                 }
    00092                 assertTrue("elementRemoveAttributeNodeNoModificationAllowedErrAssert",success);
    00093         }
    00094
    00095    }

The documentation for this class was generated from the following file:

- elementremoveattributenodenomodificationallowederr.java